__SETLEASE(9)

NAME
__setlease - sets a lease on an open file

SYNOPSIS

int __setlease (struct file * filp, long arg, struct file_lock ** flp);

ARGUMENTS

filp
    file pointer

arg type of lease to obtain

flp input - file_lock to use, output - file_lock inserted

DESCRIPTION

The (input) flp->fl_lmops->fl_break function is required by break_lease.

Called with kernel lock held.